Subject: Re: linux-next: build failure after merge of the clk tree

From: Mike Turquette <[email-masked]>
Date: Mon, 15 Apr 2013 17:42:36 -0700

Quoting Sebastian Hesselbarth (2013-04-15 00:03:23)
> On 04/15/2013 07:04 AM, Stephen Rothwell wrote:
> > After merging the clk tree, today's linux-next build (x86_64 allmodconfig)
> > failed like this:
> >
> > ERROR: "of_clk_add_provider" [drivers/clk/clk-si5351.ko] undefined!
> > ERROR: "of_clk_src_onecell_get" [drivers/clk/clk-si5351.ko] undefined!
> 
> Stephen,
> 
> I must have missed the both above when allowing clk-si5351 to be built
> for !OF. I sent a patch to make clk-si5351 depend on CONFIG_OF until
> we sort it out.
> 
> > ERROR: "__clk_get_flags" [drivers/clk/clk-si5351.ko] undefined!
> 
> I sent a patch to export the above function but Mike must have missed
> it. I resent it on list.
> 

Sorry about missing that export.

I've taken both of your fixes into clk-next.

Regards,
Mike

> Sebastian
> 
> > Caused by commit 9abd5f0555df ("clk: add si5351 i2c common clock
> > driver").  It probbaly need to depend on CONFIG_OF.
> >
> > I have used the clk tree from next-20130412 for today.